.card {
	display: inline-flex;
	flex-direction: column;
	justify-content: start;
	align-items: center;
	background: #ffffff;
	color: #000;
	padding: 8px;
	border-radius: 4px;
	/* margin: 15px; */
	min-width: 300px;
	/* min-height: 100px; */
	overflow: hidden;
	text-align: center;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
	transition: all 1s ease-in-out;
}
.card-large {
	width: 360px;
	max-width: 360px;
	min-width: 360px;
}
.card-small {
	width: 272px;
	max-width: 272px;
	min-width: 272px;
	height: auto;
	min-height: 100px;
}
.card-body {
	transition: width 1s ease-in-out, height 1s ease-in-out;
}
.card .btn-more {
	display: block;
	margin-top: 8px;
}
.card .btn-less {
	display: none;
}
.card-header {
	height: 40px;
	min-height: 40px;
	max-height: 40px;
	min-width: 100%;
	flex: 0;
	font-size: var(--font-size-h2);
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	margin: 0 8px;
	text-align: center;
}
.card-body {
	width: 100%;
	min-height: 140px;
	max-height: 140px;
	height: 140px;
	text-align: left;
	border: 1px solid #dcdcdc;
	border-radius: 10px;
	overflow-y: auto;
	padding: 8px;
	flex: 0;
	overflow: hidden; /* Hide overflowing text */
	/* white-space: nowrap; Prevent text from wrapping to the next line */
	text-overflow: ellipsis; /* Display ellipsis (...) when text overflows */
	transition: all 1s ease-in-out;
}
.card-body p {
	/* font-size: 1rem; */
	/* line-height: 1.4; */
	margin-bottom: 10px;
}
.card-body.text-center {
	text-align: center;
	justify-content: center;
}

.card.card-small .card-body {
	max-height: none;
	min-height: auto;
	flex: 1;
}
.card-controls {
	height: 40px;
	min-height: 40px;
	max-height: 40px;
	display: flex;
	flex-direction: row;
	align-items: center;
	flex: 0;
}

.card h4 {
	display: none;
	flex-direction: row;
	align-items: start;
	justify-content: space-between;
	margin: 4px 0 10px;
	color: var(--primary-color);
}

/* .card p {
	font-size: 1rem;
	line-height: 1.4;
}

.card.expanded {
	display: flex;
	width: 100%;
}
.card.expanded h3 {
	display: flex;
	flex-direction: row;
	align-items: start;
	justify-content: space-between;
	width: 100%;
}*/
.card.expanded {
	min-width: 100%;
	height: auto;
}
.card.expanded .card-header {
	justify-content: space-between;
	width: 100%;
}

.card.expanded .card-body {
	width: 100%;
	height: auto;
	min-height: auto;
	max-height: none;
	flex: 1;
	/* border: 1px solid #dcdcdc; */
	/* border-radius: 10px; */
	/* padding: 10px; */
}
.card-body p {
	font-size: 1rem;
	line-height: 1.5;
	text-indent: 20px;
}
.card.expanded.card-body p {
	font-size: 1rem;
	line-height: 1.5;
	text-indent: 20px;
	text-align: justify;
}
.card.expanded .btn-more {
	display: block;
	display: none;
}
.card.expanded .btn-less {
	display: block;
}
